--- doxygen-1.4.4/configure.orig	2005-07-10 10:54:15.000000000 -0400
+++ doxygen-1.4.4/configure	2005-12-24 12:49:37.000000000 -0500
@@ -35,6 +35,7 @@
 f_english=NO
 f_wizard=NO
 f_thread=NO
+export f_use64lib="no"
 f_langs=nl,se,cz,fr,id,it,de,jp,je,es,fi,ru,hr,pl,pt,hu,kr,ke,ro,si,cn,no,br,dk,sk,ua,gr,tw,sr,ca,lt,za
 
 while test -n "$1";  do
@@ -81,6 +82,10 @@
     --with-doxywizard | -with-doxywizard)
        f_wizard=YES
        ;;
+    --with-doxywizard64 | -with-doxywizard64)
+       f_wizard=YES;
+       export f_use64lib="yes";
+       ;;
     -h | -help | --help)
        f_help=y
        ;;
@@ -533,7 +548,17 @@
 #
 
 EOF
+
      cat .makeconfig >> $DST
+
+     # Check to see if addon/doxywizard/Makefile.in is reached.
+     if test $i = addon/doxywizard/Makefile.in; then
+       if test "$f_use64lib" = yes; then
+         echo "USE64 = 64" > .use64lib
+         cat .use64lib >> $DST
+       fi
+     fi
+
      if test $i = Makefile.in; then
        echo "" >> $DST
        echo "all: src/version.cpp " >> $DST

